%define upstream_name XML-Smart
%define upstream_version 1.78

Summary:	A Smart, easy and powerful way to access/create XML files/data
Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 11
License: 	GPL
Url:		https://metacpan.org/release/%{upstream_name}
Group:		Development/Perl
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	perl(Object::MultiType)
BuildArch:	noarch

%{?perl_default_filter}


%description
This module has an easy way to access/create XML data. It's based on the HASH
tree that is made of the XML data, and enable a dynamic access to it with the
Perl syntax for Hashe and Array, without needing to care if you have a Hashe or
an Array in the tree. In other words, each point in the tree work as a Hash 
and an Array at the same time!
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor 
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/Smart
%{perl_vendorlib}/XML/Smart.pm


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.780.0-11.mga10
+ Revision: 2201550
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.780.0-10.mga9
+ Revision: 1806766
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.780.0-9.mga8
+ Revision: 1498515
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.780.0-8.mga7
+ Revision: 1272795
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.780.0-7.mga6
+ Revision: 1036161
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.780.0-6.mga6
+ Revision: 934524
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.780.0-5.mga5
+ Revision: 748615
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.780.0-4.mga5
+ Revision: 732674
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.780.0-3.mga5
+ Revision: 686966
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.780.0-2.mga4
+ Revision: 534748
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 1.780.0-1.mga4
+ Revision: 478697
- update to 1.78

* Sun Jan 13 2013 umeabot <umeabot> 1.6.9-7.mga3
+ Revision: 375183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.6.9-6.mga1
+ Revision: 27350
- mageia rebuild
- imported package perl-XML-Smart


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.6.9-6mdv2010.0
+ Revision: 430666
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.9-5mdv2009.0
+ Revision: 258881
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.9-4mdv2009.0
+ Revision: 246784
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.9-2mdv2008.1
+ Revision: 166717
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.9-2mdv2008.0
+ Revision: 87113
- rebuild


* Mon Aug 21 2006 Erwan Velu <erwan@seanodes.com> 1.6.9-1mdv2007.0
- Initial release

